{% load static %}

{% block content %}
<!DOCTYPE html>
<html>

<head>
    <title></title>
</head>

<body>
    <header>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                    <li>
                        <a href={% url 'show_my_tasks' %}>My tasks</a>
                    </li>
                    <li>
                        <a href={% url 'list_projects' %}>My projects</a>
                    </li>
                    <li>
                        <a href={% url 'logout' %}>Logout</a>
                    </li>
                    {% else %}
                    <li>
                        <a href={% url 'login' %}>login</a>
                    </li>
                    <li>
                        <a href={% url 'signup' %}>Signup</a>
                    </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
    </header>
    <main>
        <div>
            <h1>{{ project.name }}</h1>
            <p>{{ project.description }}</p>
            <h2>Tasks</h2>
            <a href={% url 'create_task' %}>Create a new task</a>
            <table>
                <thead>
                    <tr>


                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in projects.items.all %}
                    <tr>
                        <td>{{ detail.name }}</td>
                        <td>{{ detail.assignee }}</td>
                        <td>{{ detail.start_date|date:"Y" }}</td>
                        <td>{{ detail.due_date|date:"Y" }}</td>
                        <td>{{ detail.is_completed|yesno:"yes,no" }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>

            <p>This project has no tasks</p>

        </div>
    </main>
</body>

</html>
{% endblock content %}
